body {
	background-color: #fff;
	padding: 0;
	margin: 0;

	* {
		box-sizing: border-box;
	}
}

html,
body,
#root {
	height: 100%;
}

.wrapper {
	display: flex;
	flex-direction: row;
	height: 100%;

	.left-side,
	.right-side {
		flex: 1;
		flex-grow: 0;
	}

	.left-side {
		max-width: 15%;
		flex-basis: 15%;
		background: #00a843;

		.brand-container {
			justify-content: center;
			align-items: center;
			display: flex;
			height: 180px;
			flex-direction: column;

			img {
				width: 68px;
				margin-bottom: 15px;
			}

			a {
				text-decoration: none;
				color: #fff;
				font-family: "Gill Sans", "Gill Sans MT", Calibri,
					"Trebuchet MS", sans-serif;
				font-size: 16px;
			}
		}
	}

	.right-side {
		max-width: 85%;
		flex-basis: 85%;
		display: flex;
	}

	.container {
		flex: 1;
		max-width: 1140px;
		margin: 0 auto;
		padding: 0 15px;

		justify-content: center;
		align-items: center;
		display: flex;

		font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
	}

	.form-container {
		width: 450px;

		h2 {
			font-size: 40px;
			text-align: center;
			font-weight: normal;
		}

		.direction-link {
			float: right;
			line-height: 35px;

			a {
				color: #00a843;
				text-decoration: none;
			}
		}
	}

	.alert {
		width: 100%;
		padding: 20px 25px;
		text-align: left;
		color: #fff;
		background: #666;
		margin-bottom: 25px;

		&::first-letter {
			text-transform: capitalize;
		}

		&.error {
			background: #f34769;
		}
	}

	form {
		.form-group {
			margin-bottom: 25px;
		}

		input {
			width: 100%;

			&[type="text"],
			&[type="password"] {
				height: 40px;
				border: 0px;
				font-size: 20px;
				padding: 10px 0;
				color: #2a3842;
				border-bottom: 1px solid #455e70;
				background-color: transparent;
				outline: transparent;
			}
		}

		button {
			box-shadow: none;
			border: 0px;
			background: #00a843;
			color: #fff;
			font-size: 16px;
			padding: 12px 30px;
			text-transform: uppercase;

			&[disabled] {
				background-color: #7cc599;
			}
		}

		::placeholder {
			font-size: 14px;
		}
	}

	.user-container {
		text-align: center;
		margin: auto 50px;
		padding-top: 40px;
		border-top: 1px solid rgba(255, 255, 255, 0.2);

		.avatar-holder {
			overflow: hidden;

			img {
				border-radius: 50%;
				width: 68px;
			}
		}

		span {
			font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
			color: #fff;
			font-size: 20px;
			display: block;
			margin: 10px 0;
		}
	}

	.logout-link {
		font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
		cursor: pointer;
		font-size: 16px;
		color: rgba(42, 56, 66, 0.65);
	}

	.homepage-container {
		text-align: center;
		flex: 1;
		align-self: flex-start;
		display: flex;
		flex-direction: column;
		height: 100vh;

		> * {
			flex: 1;
		}

		.centered-logo {
			display: flex;
			justify-content: center;
			align-items: center;
			flex-direction: column;

			img {
				width: 80px;
			}

			p {
				color: #2a3842;
				font-size: 20px;
			}
		}
	}

	.top-toolbar {
		height: 100px;
		display: flex;
		text-align: left;
		justify-content: center;
		align-items: center;
		max-height: 100px;
		border-bottom: 1px solid #ccc;

		> * {
			flex: 1;
		}

		h1 {
			font-weight: normal;
			margin-left: 25px;
		}

		.add-idea-button {
			text-align: center;
			color: #fff;
			font-size: 31px;
			cursor: pointer;
			max-width: 50px;
			height: 50px;
			border-radius: 50%;
			background: rgba(0, 168, 67, 1);
			transition: all ease 0.3s;

			&.cancel {
				transform: rotate(45deg);
			}
		}
	}

	.idea-list {
		ul {
			li {
				list-style: none;

				animation: ideaItem 0.6s;
				form {
					display: flex;

					.form-group {
						flex: 1;

						label {
							margin-bottom: 10px;
							display: block;
							margin-bottom: 20px;
						}

						&.average {
							label {
								font-weight: bold;
							}
							input {
								border: none;
								text-align: center;
								font-size: 16px;
							}
						}

						&.idea-content {
							flex-basis: 45%;
							margin-right: 20px;
							display: flex;
							align-items: flex-end;

							input {
								align-self: flex-end;
							}
						}

						.dropdown {
							position: relative;
							background-color: #f2f2f2;
							background: -moz-linear-gradient(
								top,
								rgba(242, 242, 242, 1) 0%,
								rgba(212, 212, 212, 1) 100%
							);
							background: -webkit-linear-gradient(
								top,
								rgba(242, 242, 242, 1) 0%,
								rgba(212, 212, 212, 1) 100%
							);
							background: linear-gradient(
								to bottom,
								rgba(242, 242, 242, 1) 0%,
								rgba(212, 212, 212, 1) 100%
							);
							filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#f2f2f2', endColorstr='#d4d4d4',GradientType=0 ); /* IE6-9 */
							border: 1px solid #ff979797;
							border-radius: 3px;
							box-shadow: 2px 2px 3px 0px rgba(0, 0, 0, 0.1);
							height: 36px;
							margin: 0 10px 0;

							select {
								cursor: pointer;
								border: none;
								height: 100%;
								background: transparent;
								-webkit-appearance: none;
								width: 100%;
								padding-left: 10px;
								position: relative;
								z-index: 1;
								outline: none;
							}

							&:before,
							&:after {
								content: "‣";
								font-size: 20px;
								color: #333;
								display: block;
								width: 10px;
								position: absolute;
								height: 10px;
								line-height: 0;
								z-index: 0;
							}

							&:after {
								transform: rotate(90deg);
								right: 10px;
								top: 55%;
							}

							&:before {
								transform: rotate(-90deg);
								right: 3px;
								top: 20%;
							}
						}
					}
				}

				.action-buttons {
					display: flex;
					margin-left: 30px;
					align-items: flex-end;

					span {
						margin: 0 10px;
						display: block;
						cursor: pointer;

						&.save-idea,
						&.cancel-idea {
							margin-bottom: 10px;
						}

						&.save-idea {
							position: relative;
							width: 24px;
							height: 24px;
							opacity: 0.5;

							&:hover {
								opacity: 1;
							}
							&:before,
							&:after {
								position: absolute;
								left: 20px;
								content: " ";
								height: 24px;
								width: 2px;
								background-color: #00a843;
							}
							&:before {
								transform: rotate(45deg);
							}
							&:after {
								left: 6px;
								top: 7px;
								height: 15px;
								transform: rotate(-45deg);
							}
						}

						&.cancel-idea {
							width: 24px;
							height: 24px;
							opacity: 0.5;
							position: relative;

							&:hover {
								opacity: 1;
							}
							&:before,
							&:after {
								position: absolute;
								left: 15px;
								content: " ";
								height: 24px;
								width: 2px;
								background-color: #333;
							}
							&:before {
								transform: rotate(45deg);
							}
							&:after {
								transform: rotate(-45deg);
							}
						}
					}

					.remove-idea,
					.edit-idea {
						cursor: pointer;
						margin-bottom: 10px;

						img {
							height: 20px;
						}
					}

					&.show-on-hover {
						opacity: 0;
						transition: all ease 0.2s;
					}
				}

				&.readonly {
					&:hover {
						.show-on-hover {
							opacity: 1;
						}
					}

					form {
						.form-group {
							&.idea-content {
								input {
									pointer-events: none;
									border-bottom: 0px;
								}
							}

							.dropdown {
								background: transparent;
								border-color: transparent;
								box-shadow: none;

								select {
									pointer-events: none;
								}

								&:before,
								&:after {
									content: none;
								}
							}
						}
					}
				}
			}
		}
	}
}

.modal-container {
	position: fixed;
	width: 100%;
	left: 0;
	height: 100%;
	top: 0px;
	z-index: 9;
	display: flex;
	justify-content: center;
	align-items: center;

	.modal {
		background: #fff;
		box-shadow: 0px 0px 25px 0px rgba(0, 0, 0, 0.2);
		padding: 30px;
		border-radius: 3px;
		width: 400px;
		max-width: 80%;

		.modal-title {
			margin-bottom: 30px;

			h2 {
				font-weight: normal;
			}
		}

		.modal-body {
			margin-bottom: 50px;
		}

		.modal-actions {
			display: flex;

			button {
				flex: 1;
				background: transparent;
				text-transform: uppercase;
				font-weight: bold;
				border: none;
				outline: none;
				box-shadow: none;
				padding: 10px 35px;
				cursor: pointer;

				&.approve {
					color: #0fb717;
				}
			}
		}
	}
}

.loading-ball {
	position: relative;
	flex: 1;
	align-self: center;
	max-width: 10px;
	width: 50px !important;
	height: 50px !important;
	align-self: center;
	flex: 1;
	max-width: 20px;
	left: -10px;

	div {
		position: absolute;
		width: 10px;
		height: 10px;
		border-radius: 50%;
		background: #8cd0e5;
		left: 0px;
		top: 0px;
		transform: translate(0, 8px);
	}

	&.animated {
		div {
			-webkit-animation: loading-ball 0.3s linear infinite;
			animation: loading-ball 0.3s linear infinite;
		}
	}
}

.item-0 {
	.loading-ball {
		div {
			transform: translate(0, 30px);
		}
	}
}

@keyframes ideaItem {
	0% {
		max-height: 0px;
		opacity: 0;
	}
	100% {
		max-height: 200px;
		opacity: 1;
	}
}

@keyframes loading-ball {
	0%,
	100% {
		animation-timing-function: cubic-bezier(0.45, 0, 0.9, 0.55);
	}
	0% {
		-webkit-transform: inherit;
		transform: inherit;
	}
	50% {
		-webkit-transform: translate(0, 10px);
		transform: translate(0, 10px);
		animation-timing-function: cubic-bezier(0, 0.45, 0.55, 0.9);
	}
	100% {
		-webkit-transform: translate(0, 0);
		transform: translate(0, 0);
	}
}
@-webkit-keyframes loading-ball {
	0%,
	100% {
		animation-timing-function: cubic-bezier(0.45, 0, 0.9, 0.55);
	}
	0% {
		-webkit-transform: inherit;
		transform: inherit;
	}
	50% {
		-webkit-transform: translate(0, 10px);
		transform: translate(0, 10px);
		animation-timing-function: cubic-bezier(0, 0.45, 0.55, 0.9);
	}
	100% {
		-webkit-transform: translate(0, 0);
		transform: translate(0, 0);
	}
}
